note
	description: "Summary description for {POINT}."
	author: ""
	date: "$Date$"
	revision: "$Revision$"

class
	POINT

create
	make_default,
	make

feature
	make_default
		do
			x := 0
			y := 0
		end

	make (a_x, a_y: REAL)
		do
			set_x (a_x)
			set_y (a_y)
		ensure
			x = a_x
			y = a_y
		end


feature
	x: REAL

	y: REAL

	set_x (a_x: REAL)
		do
			x := a_x
		ensure
			x = a_x
		end

	set_y (a_y: REAL)
		do
			y := a_y
		ensure
			y = a_y
		end

	info: STRING
			-- Info of point in format "(x=1, y=2)".
		do
			Result := "(x=" + x.out + ", y=" + y.out + ")"
		end

end
